Skip to content
Navigation

Get entity execution baseline

GET
https://api.sureshake.com/v2/entities/{entityId}/execution/baseline

Path parameters

  • entityId
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • baseline
      object
      or null
      required
      • id
        string
        required
        format: uuid
      • listingId
        string
        or null
        required
        format: uuid
      • entityId
        string
        required
        format: uuid
      • versionNumber
        integer
        required
        minimum: 0
      • correctsBaselineId
        string
        or null
        required
        format: uuid
      • correctionReason
        string
        or null
        required
        maxLength: 1000 · minLength: 3
      • status
        draft
        or
        locked
        or
        superseded
        required
      • primaryConstraint
        string
        or null
        required
        maxLength: 4000 · minLength: 1
      • majorAssumptions
        array of
        string
        required
        maxLength: 4000 · minLength: 1
      • strategicContextUpdatedBy
        string
        or null
        required
        minLength: 1
      • summary
        string
        or null
        required
        maxLength: 20000 · minLength: 1
      • summarySourceHash
        string
        or null
        required
        pattern: ^sha256:[0-9a-f]{64}$
      • summaryGeneratedBy
        string
        or null
        required
        minLength: 1
      • summaryGeneratedAt
        string
        or null
        required
        format: date-time
      • summaryConfirmedBy
        string
        or null
        required
        minLength: 1
      • summaryConfirmedAt
        string
        or null
        required
        format: date-time
      • snapshot
        or null
        required

        Any of the following:

        • object
          • schemaVersion
            1
            required
          • listingId
            string
            required
            format: uuid
          • baselineId
            string
            required
            format: uuid
          • versionNumber
            integer
            required
            minimum: 0
          • primaryConstraint
            string
            required
            maxLength: 4000 · minLength: 1
          • majorAssumptions
            array of
            string
            required
            maxLength: 4000 · minLength: 1
          • strategicContextUpdatedBy
            string
            required
            minLength: 1
          • summary
            string
            required
            maxLength: 20000 · minLength: 1
          • summarySourceHash
            string
            required
            pattern: ^sha256:[0-9a-f]{64}$
          • summaryGeneratedBy
            string
            required
            minLength: 1
          • summaryGeneratedAt
            string
            required
            format: date-time
          • summaryConfirmedBy
            string
            required
            minLength: 1
          • summaryConfirmedAt
            string
            required
            format: date-time
          • fields
            array of
            object
            required
            • fieldKey
              string
              required
              pattern: ^[a-z][a-z0-9_]{0,63}$
            • label
              string
              required
              maxLength: 120 · minLength: 1
            • value
              required

              Any of the following:

              • string
              • number
              • boolean
            • unit
              string
              or null
              required
              maxLength: 64 · minLength: 1
            • effectiveDate
              string
              required
              format: date
            • evidenceReference
              string
              or null
              required
              maxLength: 2048 · minLength: 1
            • evidenceGrade
              A
              or
              B
              or
              C
              or
              D
              or
              N
              required
            • createdBy
              string
              required
              minLength: 1
            • updatedBy
              string
              required
              minLength: 1
            • createdAt
              string
              required
              format: date-time
            • updatedAt
              string
              required
              format: date-time
          • createdBy
            string
            required
            minLength: 1
          • createdAt
            string
            required
            format: date-time
          • correctsBaselineId
            optional
            string
            or null
            format: uuid
          • correctionReason
            optional
            string
            or null
            maxLength: 1000 · minLength: 3
        • object
          • schemaVersion
            2
            required
          • entityId
            string
            required
            format: uuid
          • listingId
            string
            or null
            required
            format: uuid
          • baselineId
            string
            required
            format: uuid
          • versionNumber
            integer
            required
            minimum: 0
          • primaryConstraint
            string
            required
            maxLength: 4000 · minLength: 1
          • majorAssumptions
            array of
            string
            required
            maxLength: 4000 · minLength: 1
          • strategicContextUpdatedBy
            string
            required
            minLength: 1
          • summary
            string
            required
            maxLength: 20000 · minLength: 1
          • summarySourceHash
            string
            required
            pattern: ^sha256:[0-9a-f]{64}$
          • summaryGeneratedBy
            string
            required
            minLength: 1
          • summaryGeneratedAt
            string
            required
            format: date-time
          • summaryConfirmedBy
            string
            required
            minLength: 1
          • summaryConfirmedAt
            string
            required
            format: date-time
          • fields
            array of
            object
            required
            • fieldKey
              string
              required
              pattern: ^[a-z][a-z0-9_]{0,63}$
            • label
              string
              required
              maxLength: 120 · minLength: 1
            • value
              required

              Any of the following:

              • string
              • number
              • boolean
            • unit
              string
              or null
              required
              maxLength: 64 · minLength: 1
            • effectiveDate
              string
              required
              format: date
            • evidenceReference
              string
              or null
              required
              maxLength: 2048 · minLength: 1
            • evidenceGrade
              A
              or
              B
              or
              C
              or
              D
              or
              N
              required
            • createdBy
              string
              required
              minLength: 1
            • updatedBy
              string
              required
              minLength: 1
            • createdAt
              string
              required
              format: date-time
            • updatedAt
              string
              required
              format: date-time
          • createdBy
            string
            required
            minLength: 1
          • createdAt
            string
            required
            format: date-time
          • correctsBaselineId
            optional
            string
            or null
            format: uuid
          • correctionReason
            optional
            string
            or null
            maxLength: 1000 · minLength: 3
      • snapshotHash
        string
        or null
        required
        pattern: ^sha256:[0-9a-f]{64}$
      • lockedBy
        string
        or null
        required
        minLength: 1
      • lockedAt
        string
        or null
        required
        format: date-time
      • fields
        array of
        object
        required
        • id
          string
          required
          format: uuid
        • baselineId
          string
          required
          format: uuid
        • fieldKey
          string
          required
          pattern: ^[a-z][a-z0-9_]{0,63}$
        • label
          string
          required
          maxLength: 120 · minLength: 1
        • value
          required

          Any of the following:

          • string
          • number
          • boolean
        • unit
          string
          or null
          required
          maxLength: 64 · minLength: 1
        • effectiveDate
          string
          required
          format: date
        • evidenceReference
          string
          or null
          required
          maxLength: 2048 · minLength: 1
        • evidenceGrade
          A
          or
          B
          or
          C
          or
          D
          or
          N
          required
        • createdBy
          string
          required
          minLength: 1
        • updatedBy
          string
          required
          minLength: 1
        • createdAt
          string
          required
          format: date-time
        • updatedAt
          string
          required
          format: date-time
      • createdBy
        string
        required
        minLength: 1
      • createdAt
        string
        required
        format: date-time
      • updatedAt
        string
        required
        format: date-time
    • creation
      object
      required
      • allowed
        boolean
        required
      • unavailableReason
        baseline_exists
        or
        first_season_started
        or null
        required
      • firstSeason
        object
        or null
        required
        • id
          string
          required
          format: uuid
        • label
          string
          required
          minLength: 1
        • status
          planning
          or
          locked
          or
          active
          or
          resolution_open
          or
          closed
          required
        • startDate
          string
          required
          format: date-time
    • fieldEditing
      object
      required
      • allowed
        boolean
        required
      • unavailableReason
        baseline_missing
        or
        baseline_locked
        or
        first_season_started
        or null
        required
    • locking
      object
      required
      • allowed
        boolean
        required
      • unavailableReason
        baseline_missing
        or
        baseline_locked
        or
        first_season_started
        or
        strategic_context_missing
        or
        fields_missing
        or
        summary_missing
        +2 more
        or null
        required
    • correction
      object
      required
      • allowed
        boolean
        required
      • unavailableReason
        baseline_missing
        or
        baseline_not_locked
        or
        correction_draft_exists
        or null
        required
    • summary
      object
      required
      • generation
        object
        required
        • allowed
          boolean
          required
        • unavailableReason
          baseline_missing
          or
          baseline_locked
          or
          strategic_context_missing
          or
          fields_missing
          or null
          required
      • confirmation
        object
        required
        • allowed
          boolean
          required
        • unavailableReason
          baseline_missing
          or
          baseline_locked
          or
          summary_missing
          or
          summary_stale
          or
          summary_already_confirmed
          or
          founder_required
          or null
          required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close